summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2012-07-01 16:18:53 +0000
committerKarl Berry <karl@freefriends.org>2012-07-01 16:18:53 +0000
commit9f55db2f4b56ffe3f432b3c097564d28dd1627d6 (patch)
tree46f4aab96265c6f7cf1fdd073d2cab262a6c2abd
parent5ba14711528bc6cc8eebdfb2048464fbd427c22d (diff)
cd for sake of wildcards
git-svn-id: svn://tug.org/texlive/trunk@26938 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images24
1 files changed, 14 insertions, 10 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index 5fc35839473..04573c7d9e7 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -136,14 +136,13 @@ MAKEINST ()
# Make the tar files: the sources, the texmf trees, the binaries, the
# minor "extra" files. Each should unpack into its directory name. We
# use the GNU tar --transform option to avoid copying the whole
-# hierarchy to temp directory. This auxiliary function takes the
-# directory to start as its first argument, its directory name as its
-# first argument, and the files to archive as the rest.
+# hierarchy to temp directory. This auxiliary function takes that
+# directory name as its first argument, and the files to archive as the
+# rest.
#
do_tar ()
{
- startdir=$1; shift
- name=$2; shift
+ name=$1; shift
#
if false; then # ddebug
verbose="-v --show-transformed-names"
@@ -161,14 +160,14 @@ do_tar ()
tar_common_opt="$verbose $compress $excludes"
#
tarfile=$target/$name.tar.xz
- tar -C $startdir -cf "$tarfile" --owner=0 --group=0 \
+ tar -cf $tarfile --owner=0 --group=0 \
--transform="s,^,$name/," $tar_common_opt \
"$@"
if test $? -ne 0; then
echo "$0: tar failed, goodbye." >&2
fi
(cd $target && sha256sum `basename $tarfile`) >$tarfile.sha256
- ls -l "$tarfile"
+ ls -l $tarfile
}
MAKETAR ()
@@ -177,18 +176,23 @@ MAKETAR ()
rm -f $target/$NAME-*.tar.*
if $tar_bin_only || $tar_all; then
- do_tar $master/bin $NAME-$D-bin *
+ cd $master/bin || exit 1
+ do_tar $NAME-$D-bin *
$tar_bin_only && return
fi
if $tar_source_only || $tar_all; then
- do_tar $master/../Build/source $NAME-$D-source *
+ cd $master/../Build/source || exit
+ do_tar $NAME-$D-source *
$tar_source_only && return
fi
- do_tar $master $NAME-$D-extra \
+ cd $master || exit 1
+ do_tar $NAME-$D-extra \
LICENSE* README* autorun.inf *.html install* re* tl-* \
tlpkg/TeXLive tlpkg/translations tlpkg/tlpostcode
+
+ cd $master || exit 1
do_tar $master $NAME-$D-texmf texmf*
}